# $Revision: 1.40 $, $Date: 2010/08/24 20:50:49 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
%bcond_without	tests		# don't perform "make check"
#
Summary:	Library of Optimized Inner Loops
Summary(pl.UTF-8):	Biblioteka zoptymalizowanych wewnętrznych pętli
Name:		liboil
Version:	0.3.16
Release:	2
Epoch:		1
License:	BSD
Group:		Libraries
Source0:	http://liboil.freedesktop.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	febb1d9f9bc4c440fcf622dc90f8b6b7
Patch0:		%{name}-opt.patch
Patch1:		%{name}-fixes.patch
URL:		http://liboil.freedesktop.org/wiki/
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1.6
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	gtk-doc-automake
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# cannot remove frame pointers on ix86, SSE wrapper hack relies on
# gcc stack frames
#define		specflags	-fomit-frame-pointer
# CFLAGS_ALTIVEC are set, but not used
%define		specflags_ppc	-maltivec

%description
Liboil is a library of simple functions that are optimized for various
CPUs. These functions are generally loops implementing simple
algorithms, such as converting an array of N integers to
floating-poing numbers or multiplying and summing an array of N
numbers. Clearly such functions are candidates for significant
optimization using various techniques, especially by using extended
instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

Many multimedia applications and libraries already do similar things
internally. The goal of this project is to consolidate some of the
code used by various multimedia projects, and also make optimizations
easier to use by a broad range of applications.

%description -l pl.UTF-8
Liboil to biblioteka prostych funkcji zoptymalizowanych dla różnych
procesorów. Funkcje te to zwykle pętle implementujące proste
algorytmy, takie jak konwersja tablicy N liczb całkowitych na liczby
zmiennoprzecinkowe albo mnożenie i dodawanie tablicy N liczb. Takie
funkcje są kandydatami do znaczącej optymalizacji przy użyciu różnych
technik, szczególnie poprzez użycie rozszerzonych instrukcji
udostępnianych przez nowoczesne procesory (Altivec, MMX, SSE itp.).

Wiele aplikacji multimedialnych i bibliotek już robi takie rzeczy
wewnętrznie. Celem tego projektu jest połączenie części kodu używanego
przez różne projekty multimedialne i ułatwienie używania optymalizacji
w szerszym zakresie aplikacji.

%package devel
Summary:	Header files for liboil library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki liboil
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files for liboil library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki liboil.

%package static
Summary:	Static liboil library
Summary(pl.UTF-8):	Statyczna biblioteka liboil
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static liboil library.

%description static -l pl.UTF-8
Statyczna biblioteka liboil.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

rm -f m4/libtool.m4 m4/lt*.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--with-html-dir=%{_gtkdocdir} \
	%{!?with_static_libs:--disable-static}

%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} clean -C examples
cp -rf examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -f $RPM_BUILD_ROOT%{_libdir}/liboiltmp1*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/liboil-0.3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liboil-0.3.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liboil-0.3.so
%{_libdir}/liboil-0.3.la
%{_includedir}/liboil-0.3
%{_pkgconfigdir}/liboil-0.3.pc
%{_gtkdocdir}/liboil
%{_examplesdir}/%{name}-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/liboil-0.3.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: liboil.spec,v $
Revision 1.40  2010/08/24 20:50:49  glen
- remove libtool m4 copies

Revision 1.39  2009/11/30 01:45:10  sparky
- BR: libltdl-devel

Revision 1.38  2009/05/05 10:43:33  sparky
- rel 2 (fixed on ppc)

Revision 1.37  2009/05/03 02:00:02  sparky
- drop -j1

Revision 1.36  2009/05/03 01:54:31  sparky
- removed no_altivec.patch, outdated long time ago

Revision 1.35  2009/05/03 01:13:25  sparky
- added fixes patch [ this lib is rubbish ! hear me ?! rubbish !!! ]

Revision 1.34  2009/03/30 20:33:51  qboosh
- updated to 0.3.16

Revision 1.33  2008/08/21 20:51:53  qboosh
- updated to 0.3.15

Revision 1.32  2008/06/19 11:49:58  patrys
- rel 2

Revision 1.31  2008-04-13 19:00:58  qboosh
- updated to 0.3.14

Revision 1.30  2007-11-04 16:17:34  qboosh
- cannot -fomit-frame-pointer on x86 due to SSE hacks

Revision 1.29  2007/08/20 19:31:12  witekfl
- added bcond_without static_libs

Revision 1.28  2007/06/12 06:37:42  arekm
- up to 0.3.12

Revision 1.27  2007/04/15 13:03:47  arekm
- rel 2

Revision 1.26  2007/04/04 11:00:05  qboosh
- removed obsolete liboil-no_sse2_on_i386 patch (data should be aligned properly now)

Revision 1.25  2007/04/04 10:56:45  qboosh
- updated to 0.3.11

Revision 1.24  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.22  2007/02/01 20:49:29  pluto
- sse2 expects memory references to be 16-byte aligned
  but liboil uses non-16-byte aligned u32* operands,
  so just disable it on x86-32.
- release 2.

Revision 1.21  2006/11/14 21:11:06  qboosh
- updated to 0.3.10

Revision 1.20  2006/05/24 20:28:31  qboosh
- updated to 0.3.9, updated opt patch

Revision 1.19  2006/05/16 23:00:44  qboosh
- Epoch 1 (there is 1:0.3.6 on AC-branch)

Revision 1.18  2006/03/25 00:43:39  qboosh
- gcc4 patch removed (obsolete)

Revision 1.17  2006/03/25 00:30:50  qboosh
- -maltivec is needed in flags to build on Ac

Revision 1.16  2006/03/23 09:01:05  zboczuch
- up to 0.3.8
- removed gcc4 patch (included in sources)

Revision 1.15  2006/02/11 17:43:45  pluto
- gcc4 fix for ppc, release 2.

Revision 1.14  2006/02/05 19:30:06  qboosh
- updated to 0.3.7

Revision 1.13  2005/11/17 00:52:15  charles
- updated to 0.3.6
- updated URLs
- BR: rpmbuild(macros) >= 1.98 for %{_gtkdocdir}
- BR gtk-doc-automake instead of gtk-doc

Revision 1.12  2005/10/06 05:41:17  qboosh
- updated to 0.3.3, updated opt patch

Revision 1.11  2005/05/18 22:03:29  qboosh
- updated to 0.3.2
- by default build with (runtime-detected) altivec support on ppc

Revision 1.10  2005/03/25 11:02:16  havner
- rel 4

Revision 1.9  2005/03/25 09:22:50  havner
- rel 3, no altivec patch

Revision 1.8  2005/03/21 20:11:24  qboosh
- added opt patch (fixes tests failure on alpha), release 2

Revision 1.7  2005/03/18 22:00:28  qboosh
- updated to 0.3.1

Revision 1.6  2005/01/13 21:01:14  qboosh
- License is BSD now, added COPYING to doc

Revision 1.5  2005/01/13 13:50:28  czucz
- updated to 0.3.0
- added AUTHORS NEWS README
- removed liboil-fixes.patch as not needed

Revision 1.4  2004/11/24 20:38:44  qboosh
- updated to 0.2.2, updated fixes patch

Revision 1.3  2004/11/23 07:27:32  qboosh
- release 2

Revision 1.2  2004/11/21 15:34:25  qboosh
- added fixes patch (some SEGVs), use -fomit-frame-pointer

Revision 1.1  2004/11/21 05:08:17  qboosh
- new
